Package uk.ac.starlink.topcat.plot

## Interface ZoomDrag

-     public interface ZoomDrag

  Defines a currently active zoom drag gesture.
  Since:
    28 Mar 2006
  Author:
    Mark Taylor
  See Also:
    `Zoomer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double[][]` | `boundsAt​(java.awt.Point p)` | Returns the bounds defined by this drag at a current position `p`.
    `void` | `dragTo​(java.awt.Point p)` | Invoked when the mouse is dragged to a new point `p`.

- - ### Method Detail

    - #### dragTo

          void dragTo​(java.awt.Point p)

      Invoked when the mouse is dragged to a new point `p`.
      Parameters:
        `p` - current mouse position

    - #### boundsAt

          double[][] boundsAt​(java.awt.Point p)

      Returns the bounds defined by this drag at a current position `p`. Elements of the result are two-element arrays giving (lower, upper) bounds in one or more dimensions, according to the type of drag. The units should normally be dimensionless: a range of (0,1) indicates the same range as is currently contained by the display region. Bounds may be larger or smaller than the (1,0) interval.

      A null return indicates that no legal zoom is represented.

      Parameters:
        `p` - current point
      Returns:
        bounds defined by a drag ending at point `p`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.